//
// Project : Jam
// File    : BooleanLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class BooleanLiteral extends Literal {

	BooleanLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = PrimitiveType.booleanInstance ;
		return this ;
	}

}
