//
// Project : Jam
// File    : DoubleLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class DoubleLiteral extends Literal {

	DoubleLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = PrimitiveType.doubleInstance ;
		return this ;
	}

}
