//
// Project : Jam
// File    : Env.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

import java.util.* ;

class Env implements Cloneable {

	private Hashtable h = new Hashtable() ;

	Env copy() {
		try	{
			Env copy = (Env)clone() ;
			copy.h = (Hashtable)h.clone() ;
			return copy ;
		} catch (CloneNotSupportedException cns) {}
		return null ;
	}

	void addAssociation(String identifier, Type t) throws JamException {
		h.put(identifier, Type.getType(t)) ;
	}

	void removeIdentifier(String identifier) {
		h.remove(identifier) ;
	}

	Type getTypeOf(String identifier) {
		return (Type)h.get(identifier) ;
	}

}
