//
// Project : Jam
// File    : IntLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class IntLiteral extends Literal {

	IntLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = PrimitiveType.intInstance ;
		return this ;
	}

}
