//
// Project : Jam
// File    : MixinFieldAccess.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class MixinFieldAccess extends FieldAccess {

	private Expr expr ;

	MixinFieldAccess(Expr expr_, String identifier_) {
		super(identifier_) ;
		expr = expr_ ;
	}

	Expr getExpr() {
		return expr ;
	}

	public String toString() {
		return expr+"."+MixinDeclaration.getterFor(identifier, expr.getType().toString())+"()" ;
	}

	void resolveNames(CompilationUnit cu) throws JamException {}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) {
		return this ;
	}

}

