//
// Project : Jam
// File    : Assignment.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class MixinFieldAssignment extends Assignment {

	private String identifier ;

	MixinFieldAssignment(int op_, Expr e1_, String identifier_, Expr e2_, Type type_) {
		super(op_, e1_, e2_) ;
		identifier = identifier_ ;
		type = type_ ;
	}

	public String toString() {
		String fn = MixinDeclaration.mangled(e1.getType().toString()) ;
		return e1+"."+fn+MixinDeclaration.setters[op-ASSIGN]+identifier+"("+e2+")" ;
	}

}
