//
// Project : Jam
// File    : ModuleMember.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class ModuleMember {
	
	protected final boolean DEBUG = false ;

	protected ModuleType declaringModule ;
	protected Modifiers modifiers ;
	protected String identifier ;

	ModuleMember(ModuleType declaringModule_, Modifiers modifiers_, String identifier_) {
		declaringModule = declaringModule_ ;
		modifiers = modifiers_ ;
		identifier = identifier_ ;
	}

	Modifiers getModifiers() {
		return modifiers ;
	}

	ModuleType getDeclaringModule() {
		return declaringModule ;
	}

	String getIdentifier() {
		return identifier ;
	}

}
