//
// Project : Jam
// File    : RelationalOperator.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class RelationalOperator extends BinaryOperator {

	RelationalOperator(int op, Expr e1, Expr e2) {
		super(op, e1, e2) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		e1 = e1.typeCheck(env, currentModule, cu) ;
		e2 = e2.typeCheck(env, currentModule, cu) ;
		type = PrimitiveType.booleanInstance ;
		return this ;
	}

}


