//
// Project : Jam
// File    : Renamer.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

import java.io.* ;

class Renamer {

	public static void main(String []args) {
		for(int a=0; a<args.length; ++a) {
			String fname = args[a] ;
			System.out.print(fname+" ") ;
			File f = new File(fname) ;
			if (!f.exists()) {
				System.out.println(": not found") ;
				continue ;
			}
			if (fname.toLowerCase().endsWith(".java"))
				fname = fname.substring(0, fname.length()-2)+"m" ;
			else if (fname.toLowerCase().endsWith(".jam"))
				fname = fname.substring(0, fname.length()-1)+"va" ;
			else	{
				System.out.println("skipped") ;
				continue ;
			}
			System.out.println("-> "+fname) ;
			f.renameTo(new File(fname)) ;
		}
	}

}

