//
// Project : Jam
// File    : StringLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class StringLiteral extends Literal {

	StringLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = Type.getType("java.lang.String") ;
		return this ;
	}

}
