//
// Project : Jam
// File    : TypeName.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class TypeName extends Type {

	private Name name ;

	Name getName() { return name ; }

	protected boolean doubleDispatch(Type that) {
		throw new RuntimeException("Internal compiler error - subtype of TypeName called") ;
	}

	public String toString() { return name.toString() ; }

	TypeName(Name name_) {
		name = name_ ;
	}

	public void resolveNames(CompilationUnit cu) throws JamException {
		name = cu.getFullyQualifiedName(name) ;
	}

}

