//
// Project : Jam
// File    : ArrayInitializer.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

import java.util.Vector ;

class ArrayInitializer /* almost :) */ extends Expr {

	// ok, ok it is _not_ a real expression... but it's "almost" an expression and
	// this make possible to always consider a VariableInitializer an expression 

	Vector initializers ;

	ArrayInitializer(Vector initializers_) {
		initializers = initializers_ ;
	}

	public String toString() {
		return "{ "+toString(initializers)+" }" ;
	}

	void resolveNames(CompilationUnit cu) throws JamException {
		ParsedObject.resolveExprs(initializers, cu) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		initializers = typeCheckVector(initializers, env, currentModule, cu) ;
		return this ;
	}

}
