//
// Project : Jam
// File    : CharLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class CharLiteral extends Literal {

	CharLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = PrimitiveType.charInstance ;
		return this ;
	}

}
