//
// Project : Jam
// File    : Constructor.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class Constructor extends MethodOrConstructor {

	Constructor(ModuleType declaringModule_, Modifiers modifiers_, String identifier_, Type [] arguments_, Name [] exceptions_) {
		super(declaringModule_, modifiers_, identifier_, arguments_, exceptions_) ;
		if (DEBUG) {
			System.out.println("Constructor:") ;
			System.out.println("declaringModule="+declaringModule) ;
			System.out.println("modifiers="+modifiers) ;
			System.out.println("identifier="+identifier) ;
			System.out.print("arguments=") ;
			for(int a=0; a<arguments.length; ++a)
				System.out.print(arguments[a]+" ") ;
			System.out.print("\nexceptions=") ;
			for(int a=0; a<exceptions.length; ++a)
				System.out.print(exceptions[a]+" ") ;
			System.out.println("\n") ;
		}
	}

}

