//
// Project : Jam
// File    : EmptyStatement.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class EmptyStatement extends Statement {

	private EmptyStatement() {
		super(null) ;
	}

	final static EmptyStatement instance = new EmptyStatement() ;

	public void dump(TabPrintStream s) {
		s.println(";") ;
	}

	void implResolveNames(CompilationUnit cu) {}

	void implTypeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {}

}
