//
// Project : Jam
// File    : Field.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class Field extends ModuleMember {

	private Type type ;

	Field(ModuleType declaringModule_, Modifiers modifiers_, Type type_, String identifier_) {
		super(declaringModule_, modifiers_, identifier_) ;
		type = type_ ;
		if (DEBUG) {
			System.out.println("Field:") ;
			System.out.println("declaringModule="+declaringModule) ;
			System.out.println("modifiers="+modifiers) ;
			System.out.println("type="+type) ;
			System.out.println("identifier="+identifier+"\n") ;
		}
	}

	Type getType() throws JamException {
		return Type.getType(type) ;
	}

}
