//
// Project : Jam
// File    : FloatLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class FloatLiteral extends Literal {

	FloatLiteral(String token) {
		super(token) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = PrimitiveType.floatInstance ;
		return this ;
	}

}
