//
// Project : Jam
// File    : JamException.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

import invisible.jacc.parse.Token ;

class JamException extends Exception {

	private Token token ;

	Token getToken() {
		return token ;
	}

	void setToken(Token token_) {
		if (token==null)
			token = token_ ;
	}

	JamException(String message, Token token_) {
		super(message) ;
		token = token_ ;
	}

	JamException(String message) {
		this(message, null) ;
	}

}

