//
// Project : Jam
// File    : Literal.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

abstract class Literal extends Expr {

	private String token ;

	String getToken() { return token ; }

	Literal(String token_) {
		token = token_ ;
	}

	public String toString() { return token ; }

	void resolveNames(CompilationUnit cu) {}

}
