//
// Project : Jam
// File    : MethodOrConstructor.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class MethodOrConstructor extends ModuleMember {

	protected Type [] arguments ;
	protected Name [] exceptions ;

	Type [] getArguments() {
		return arguments ;
	}

	Name [] getExceptions() {
		return exceptions ;
	}

	MethodOrConstructor(ModuleType declaringModule_, Modifiers modifiers_, String identifier_,
							Type [] arguments_, Name [] exceptions_) {
		super(declaringModule_, modifiers_, identifier_) ;
		arguments = arguments_ ;
		exceptions = exceptions_ ;
	}

}
