//
// Project : Jam
// File    : NullLiteral.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class NullLiteral extends Literal {

	NullLiteral() {
		super("null") ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		type = NilType.instance ;
		return this ;
	}

}
