//
// Project : Jam
// File    : ParExpr.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class ParExpr extends Expr {

	private Expr e ;

	ParExpr(Expr e_) {
		e = e_ ;
	}

	public String toString() {
		return "("+e+")" ;
	}

	void resolveNames(CompilationUnit cu) throws JamException {
		e.resolveNames(cu) ;
	}

	Expr typeCheck(Env env, ModuleType currentModule, CompilationUnit cu) throws JamException {
		e = e.typeCheck(env, currentModule, cu) ;
		return this ;
	}

}
