//
// Project : Jam
// File    : SwitchLabel.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class SwitchLabel {

	private Expr constantExpr ; // if constantExpr == null then the label is simply "default:"

	SwitchLabel(Expr constantExpr_) {
		constantExpr = constantExpr_ ;
	}

	public void dump(TabPrintStream s) {
		if (constantExpr==null)
			s.println("default:") ;
		else	s.println("case "+constantExpr+":") ;
	}

}
