//
// Project : Jam
// File    : TabPrintStream.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

import java.io.PrintStream ;

class TabPrintStream { // uhm... bad class name: it is NOT a PrintStream... I should choose a smarter one

	private PrintStream stream ;
	private int level ;
	private boolean first = true ;

	TabPrintStream(PrintStream stream_) {
		stream = stream_ ;
	}

	public void incLevel() {
		++level ;
	}

	public void decLevel() {
		--level ;
	}

	public void resetLevel() {
		level = 0 ;
	}

	public void close() {
		stream.close() ;
	}

	public void print(Object o) {
		print(o.toString()) ;
	}

	public void println(Object o) {
		println(o.toString()) ;
	}

	public void print(String s) {
		if (first) for(int a=0;a<level;++a) stream.print("\t") ;
		stream.print(s) ;
		first = false ;
	}

	public void println(String s) {
		if (first) for(int a=0;a<level;++a) stream.print("\t") ;
		stream.println(s) ;
		first = true ;
	}

}
