//
// Project : Jam
// File    : VariableDeclaratorId.java
// Author  : Giovanni Lagorio (gio@libertyline.com)
//

package jam ;

class VariableDeclaratorId {

	private String identifier ;
	private int dimensions ;

	VariableDeclaratorId(String identifier_, int dimensions_) {
		identifier = identifier_ ;
		dimensions = dimensions_ ;
	}

	String getIdentifier() {
		return identifier ;
	}

	int getDimensions() {
		return dimensions ;
	}

	void dump(TabPrintStream s) {
		s.print(identifier) ;
		for(int a=0; a<dimensions; ++a)
			s.print("[]") ;
	}
		
}
